Add tooltips for clarifying non-notifiable user mentions
Priority: Normal Due date:
Category: Text formatting Estimated time: 0.00 hour
Target version: 6.1.0

Resolution:

Description

Currently, when a user without permission to view a particular issue is mentioned, they do not receive a notification email. However,
visually, the mention link appears identical to others, which can be misleading as there's no indication that no email was sent.

In issue Feature #39528: Change mention link color for users without access to view issues, | proposed changing the background
color of mention links for such users to make it clear they are non-notifiable. However, | believe that visual change alone may not
sufficiently convey the intent to users. Therefore, | suggest using tooltips to display a message clarifying the status of the mention.
Yet, since tooltips are only used for displaying title attributes right now, expanding their use might require some discussion, which is
why | have created a separate ticket for this matter.

Related issues:

Related to Redmine - Feature #39528: Change mention link color for users with... New
Related to Redmine - Feature #13919: Mention user on issues and wiki pages us... Closed
History

#1 - 2023-11-08 09:12 - Mizuki ISHIKAWA
- File feature-39528.patch added

#2 - 2023-11-08 09:46 - Mizuki ISHIKAWA
- File feature-39529.patch added
- File screenshot.png added

Sorry, https://www.redmine.org/attachments/31460 file was attached by mistake.

After applying the attached patch, the tooltip will appear as shown in the screenshot.
screenshot.png

#3 - 2024-01-01 03:34 - Go MAEDA

- Target version set to Candidate for next major release

#4 - 2024-01-04 08:03 - Mizuki ISHIKAWA

- File feature-39529-v2.patch added

- File screenshot 2024-01-04 16.00.10.png added
- File screenshot 2024-01-04 16.00.20.png added

| changed it based on the Ul for when there is an invalid watcher.
https://www.redmine.org/issues/39528
https://www.redmine.org/attachments/31460

screenshot 2024-01-04 16.00.20.png

#5 - 2024-08-22 10:42 - Go MAEDA
- File feature-39529-v3.patch added

| have modified the patch with the following changes:

e Shortened long lines of code
¢ Fixed a missing translation error for :notice_mention_watcher

#6 - 2024-08-22 10:43 - Go MAEDA
- Target version changed from Candidate for next major release to 6.0.0

Setting the target version to 6.0.0.

#7 - 2024-08-22 10:46 - Go MAEDA

- Related to Feature #39528: Change mention link color for users without access to view issues added

#8 - 2024-08-23 09:00 - Marius BALTEANU

Maybe we can improve the current translation or add a new one that can be used by both mention and watcher.

#9 - 2024-08-23 09:13 - Go MAEDA
Marius BALTEANU wrote in #note-8:

Maybe we can improve the current translation or add a new one that can be used by both mention and watcher.

Do you mean something like this?

notice_invalid_notification: "Invalid %{type}:
not have access to view this object."

#10 - 2024-10-29 02:29 - Go MAEDA
Marius BALTEANU wrote in #note-8:

Maybe we can improve the current translation or add a new one that can be used by both mention and watcher.

| would like to commit this patch for 6.0.0 without modifying the translation.

How about we consider unifying the translations in 6.1.0?

Unification like #note-9 may cause a capitalization issue reported in #37072.

#11 - 2024-11-03 08:32 - Go MAEDA

- Target version changed from 6.0.0 to 6.1.0

The patch should be updated to use a vector icon instead of app/assets/images/warning.png. See #23980.

#12 - 2024-11-12 12:29 - Marius BALTEANU
- Assignee set to Marius BALTEANU

#13 - 2025-03-30 11:14 - Marius BALTEANU

- Related to Feature #13919: Mention user on issues and wiki pages using @user with autocomplete added

#14 - 2025-03-30 11:29 - Marius BALTEANU

- Status changed from New to Needs feedback

I'm not sure that | fully understand the proposed change because:

User will not receive %{type}

1. users_for_mention checks the object visibility and we have have also a test for this case
test_notified_mentions_should_not_include_users_who_cannot_view_the_object, so in theory you cannot mention a user who does not have access

to that issue/object.

notifications because they do

2. If a mentioned user in a previous note/content loses access to that issue/object, indeed, it's displayed in the same way as an user with access (
#39528), but regardless the object visibility, the user won't receive any mention notification because we send notifications only for users that are

mentioned in the current action (case 1).

Files

feature-39528.patch
feature-39529.patch

screenshot.png
feature-39529-v2.patch

screenshot 2024-01-04 16.00.10.png

2025-05-01

1.49 KB
4.09 KB
64.3 KB
2.74 KB
49.3 KB

2023-11-08
2023-11-08
2023-11-08
2024-01-04
2024-01-04

Mizuki ISHIKAWA
Mizuki ISHIKAWA
Mizuki ISHIKAWA
Mizuki ISHIKAWA
Mizuki ISHIKAWA

3/4


https://www.redmine.org/issues/37072
https://www.redmine.org/issues/23980
https://www.redmine.org/issues/39528

screenshot 2024-01-04 16.00.20.png 41.8 KB 2024-01-04 Mizuki ISHIKAWA
feature-39529-v3.patch 2.92 KB 2024-08-22 Go MAEDA

2025-05-01 4/4


http://www.tcpdf.org

